<?php
require("utils.php");
    
if  ($_POST["uzivatel"]!=''){   // pokud pole "Prihlasovaci jmeno" neobsahuje prazdny retezec a je stisknuto tlacitko "Prihlasit", provede se nasledujici
	  
   // nacteni udaju zadanych na prihlasovaci strance 
  $uzivatel = $_POST["uzivatel"];   
  $heslo = $_POST["heslo"];

  $uzivatel = stripcslashes($uzivatel);
  $heslo = stripcslashes($heslo);
 
  $sql = query("SELECT ID, Jmeno, Heslo FROM `prihlaseni` ");	 // MySQL dotaz do databaze pro nacteni prihlasovacich udaju v ni ulozenych
  
  $vysledek = unserialize($sql);

  $delka = count($vysledek);

	for ($i = 0; $i < $delka; $i++) { // prohledani vysledku MySQL dotazu a zjisteni, zda se udaje zadane na prihlasovaci strance shoduji s udaji ulozenymi v databazi
	  if (in_array($uzivatel, $vysledek[$i]) && in_array($heslo, $vysledek[$i])) { // pokud ano, vstup na stranku s vysledky procvicovani
      header("Location: index1.php");
    }  
    else{
      echo "Přihlášení neúspešné! Vraťte se o krok zpět a zadejte přihlašovací údaje znovu."; // pokud ne, upozorneni
    }
	}
}
else{
	header("Location: index.php"); // zustane-li pole "Prihlasovaci jmeno" nevyplnene a je stisknuto tlacitko "Prihlasit", zobrazi se opet prihlasovaci stranka
}
?>

